Update Interconnect Appliance

Update Interconnect Appliance
Update interconnect appliance.

Update interconnect appliance.

Request
URI
PUT
https://{server}/hybridity/api/interconnect/appliances/{applianceId}
COPY
Path Parameters
string
applianceId
Required

Unique identifier of the appliance to update


Request Body

Appliance settings to update (ex. root/admin passwords)

applianceSettings of type(s) application/json
Required
{
    "applianceName": "string",
    "credentials": [
        {
            "username": "string",
            "password": "string"
        }
    ]
}
string
applianceName
Optional

applianceName

array of object
credentials
Optional

credentials

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns ApplicationActionSuccessResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "applianceId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Returns ApplicationActionBadRequest of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "applianceId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

422

Unprocessable Entity

Returns ApplicationActionUnprocessibleEntity of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "applianceId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


500

Internal Server Error

Returns InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/interconnect/appliances/{applianceId}